**Full name**: projects.locations.featureOnlineStores.featureViews.streamingFetchFeatureValues

Bidirectional streaming RPC to fetch feature values under a FeatureView. Requests may not have a one-to-one mapping to responses and responses may be returned out-of-order to reduce latency.

### Endpoint

post `https://{service-endpoint}/v1beta1/{featureView}:streamingFetchFeatureValues`   
Where `{service-endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest#rest_endpoints).

### Path parameters

`featureView` `string` Required. FeatureView resource format `projects/{project}/locations/{location}/featureOnlineStores/{featureOnlineStore}/featureViews/{featureView}`

### Request body

The request body contains data with the following structure:
Fields `dataKeys[]` ``object (`https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1beta1/FeatureViewDataKey`)`` `dataFormat` ``enum (`https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1beta1/FeatureViewDataFormat`)`` Specify response data format. If not set, keyvalue format will be used.

### Response body

Response message for `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1beta1/projects.locations.featureOnlineStores.featureViews/streamingFetchFeatureValues#google.cloud.aiplatform.v1beta1.FeatureOnlineStoreService.StreamingFetchFeatureValues`.

If successful, the response body contains data with the following structure:
Fields `status` ``object (`https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/Shared.Types/ListOperationsResponse#Status`)`` Response status. If OK, then `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1beta1/projects.locations.featureOnlineStores.featureViews/streamingFetchFeatureValues#body.StreamingFetchFeatureValuesResponse.FIELDS.data` will be populated. Otherwise `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1beta1/projects.locations.featureOnlineStores.featureViews/streamingFetchFeatureValues#body.StreamingFetchFeatureValuesResponse.FIELDS.data_keys_with_error` will be populated with the appropriate data keys. The error only applies to the listed data keys - the stream will remain open for further \[FeatureOnlineStoreService.StreamingFetchFeatureValuesRequest\]\[\] requests.
`data[]` ``object (`https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1beta1/FetchFeatureValuesResponse`)`` `dataKeysWithError[]` ``object (`https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1beta1/FeatureViewDataKey`)``

| JSON representation |
|---|
| ``` { "status": { object (`https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/Shared.Types/ListOperationsResponse#Status`) }, "data": [ { object (`https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1beta1/FetchFeatureValuesResponse`) } ], "dataKeysWithError": [ { object (`https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1beta1/FeatureViewDataKey`) } ] } ``` |

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `featureView` resource:

- `aiplatform.featureViews.fetchFeatureValues`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).